Get a form
GET
/v1/forms/{id}
const url = 'https://api.submeto.com/v1/forms/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.submeto.com/v1/forms/example \ --header 'Authorization: Bearer <token>'Returns a single form with its field configuration and submission
counts. The response includes an ETag validator that must be passed
back unchanged in If-Match for mutations.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The form ID.
Responses
Section titled “Responses”Form details
Media typeapplication/json
object
data
object
id
string
name
string
status
string
endpoint_url
string
allowed_origins
Array<string>
validate_fields
boolean
notifications_enabled
boolean
delivery_channel_types
Array<string>
revision
integer
field_count
integer
submissions_count
integer
unread_count
integer
latest_submission_at
string
fields
Array<object>
object
id
string
name
string
label
string
type
string
required
boolean
options
string
validation
object
kind
string
preset
string
position
integer
created_at
string
updated_at
string
created_at
string
updated_at
string
request_id
string
Example
{ "data": { "id": "REQUEST_ID", "name": "Contact Form", "status": "enabled", "endpoint_url": "https://api.submeto.com/api/v1/forms/REQUEST_ID/submit", "allowed_origins": [ "https://example.com" ], "validate_fields": true, "notifications_enabled": true, "delivery_channel_types": [ "database" ], "revision": 3, "field_count": 4, "submissions_count": 128, "unread_count": 5, "latest_submission_at": "2026-08-30T14:22:00.000Z", "fields": [ { "id": "REQUEST_ID", "name": "email", "label": "Email", "type": "string", "required": true, "options": null, "validation": { "kind": "preset", "preset": "email" }, "position": 0, "created_at": "2026-01-15T09:00:00.000Z", "updated_at": "2026-01-15T09:00:00.000Z" } ], "created_at": "2026-01-15T09:00:00.000Z", "updated_at": "2026-08-30T14:22:00.000Z" }, "request_id": "REQUEST_ID"}Not found or not granted
Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{ "error": { "code": "resource_not_found", "message": "Resource not found.", "details": {} }, "request_id": "REQUEST_ID"}